package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ZyArticleMapper;
import com.ruoyi.system.domain.ZyArticle;
import com.ruoyi.system.service.IZyArticleService;

/**
 * 中业文章管理Service业务层处理
 * 
 * @author libao
 * @date 2024-05-24
 */
@Service
public class ZyArticleServiceImpl implements IZyArticleService 
{
    @Autowired
    private ZyArticleMapper zyArticleMapper;

    /**
     * 查询中业文章管理
     * 
     * @param id 中业文章管理主键
     * @return 中业文章管理
     */
    @Override
    public ZyArticle selectZyArticleById(Long id)
    {
        return zyArticleMapper.selectZyArticleById(id);
    }

    /**
     * 查询中业文章管理列表
     * 
     * @param zyArticle 中业文章管理
     * @return 中业文章管理
     */
    @Override
    public List<ZyArticle> selectZyArticleList(ZyArticle zyArticle)
    {
        return zyArticleMapper.selectZyArticleList(zyArticle);
    }

    /**
     * 新增中业文章管理
     * 
     * @param zyArticle 中业文章管理
     * @return 结果
     */
    @Override
    public int insertZyArticle(ZyArticle zyArticle)
    {
        zyArticle.setCreateTime(DateUtils.getNowDate());
        return zyArticleMapper.insertZyArticle(zyArticle);
    }

    /**
     * 修改中业文章管理
     * 
     * @param zyArticle 中业文章管理
     * @return 结果
     */
    @Override
    public int updateZyArticle(ZyArticle zyArticle)
    {
        zyArticle.setUpdateTime(DateUtils.getNowDate());
        return zyArticleMapper.updateZyArticle(zyArticle);
    }

    /**
     * 批量删除中业文章管理
     * 
     * @param ids 需要删除的中业文章管理主键
     * @return 结果
     */
    @Override
    public int deleteZyArticleByIds(Long[] ids)
    {
        return zyArticleMapper.deleteZyArticleByIds(ids);
    }

    /**
     * 删除中业文章管理信息
     * 
     * @param id 中业文章管理主键
     * @return 结果
     */
    @Override
    public int deleteZyArticleById(Long id)
    {
        return zyArticleMapper.deleteZyArticleById(id);
    }
}
